Get a timesheet
curl --request GET \
--url https://{base_url}/api/v1/timesheets/{timesheet_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{base_url}/api/v1/timesheets/{timesheet_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{base_url}/api/v1/timesheets/{timesheet_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"__type": "SSJSON_API_PaginatedDataArray",
"data": [
{
"__type": "SSJSON_API_Timesheet",
"id": "2240_11417925",
"approvedHours": null,
"approvedPayroll": null,
"casualJob": false,
"clockIn": null,
"clockOut": null,
"contractedHoursId": "2924_294328",
"date": "2026-04-21",
"department": {
"id": "2784_119",
"name": "Deli"
},
"details": [
{
"id": "2759_52442232",
"activity": "2760_183",
"alternateDepartment": "",
"alternateOrganisation": "",
"finishTime": "2026-04-21T07:00:00.000Z",
"hours": 6,
"mealBreak": false,
"restBreak": false,
"startTime": "2026-04-21T01:00:00.000Z"
}
],
"employeeId": "2095_1144974",
"finishTime": "2026-04-21T07:00:00.000Z",
"hoursToPay": 6,
"includesLeave": false,
"organisationPayRollId": "2089_9531",
"organisationWorkedId": "2089_9531",
"overnight": false,
"processed": null,
"role": {
"id": "2213_6559",
"name": "Retail Assistant"
},
"shift": null,
"startTime": "2026-04-21T01:00:00.000Z"
}
],
"pagination": {
"nextPage": "",
"page": 1,
"pageSize": 1,
"previousPage": "",
"totalPages": 1,
"totalRecords": 1
}
}Timesheets
Get a timesheet
Returns a single timesheet by its ID, wrapped in the standard paginated response envelope with a single-item data array.
GET
/
timesheets
/
{timesheet_id}
Get a timesheet
Authorizations
Access token obtained from /oauth/token. Pass as Authorization: Bearer {token}
Path Parameters
The unique identifier of the timesheet to retrieve
Example:
"2240_11417925"
Was this page helpful?
⌘I

.png?fit=max&auto=format&n=fTXEPIUfjW4rC1Pi&q=85&s=85d7b852879d29ad2bde9b743307ab0e)